
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch adds new machine definitions for the iMac G5 and the new single
processor PowerMac G5.  It also slightly updates the existing definitions.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pmac_feature.c |   10 +++++++++-
 25-akpm/include/asm-ppc/pmac_feature.h   |    8 ++++++--
 2 files changed, 15 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/pmac_feature.c~ppc64-new-machine-definitions arch/ppc64/kernel/pmac_feature.c
--- 25/arch/ppc64/kernel/pmac_feature.c~ppc64-new-machine-definitions	2005-03-11 12:32:10.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/pmac_feature.c	2005-03-11 12:32:10.000000000 -0800
@@ -321,8 +321,16 @@ static struct pmac_mb_def pmac_mb_defs[]
 		PMAC_TYPE_POWERMAC_G5,		g5_features,
 		0,
 	},
+	{	"PowerMac8,1",			"iMac G5",
+		PMAC_TYPE_IMAC_G5,		g5_features,
+		0,
+	},
+	{	"PowerMac9,1",			"PowerMac G5",
+		PMAC_TYPE_POWERMAC_G5_U3L,	g5_features,
+		0,
+	},
 	{       "RackMac3,1",                   "XServe G5",
-		PMAC_TYPE_POWERMAC_G5,          g5_features,
+		PMAC_TYPE_XSERVE_G5,		g5_features,
 		0,
 	},
 };
diff -puN include/asm-ppc/pmac_feature.h~ppc64-new-machine-definitions include/asm-ppc/pmac_feature.h
--- 25/include/asm-ppc/pmac_feature.h~ppc64-new-machine-definitions	2005-03-11 12:32:10.000000000 -0800
+++ 25-akpm/include/asm-ppc/pmac_feature.h	2005-03-11 12:32:10.000000000 -0800
@@ -112,9 +112,13 @@
  */
 #define PMAC_TYPE_UNKNOWN_INTREPID	0x11f	/* Generic */
 
-/* MacRISC4 / G5 machines
+/* MacRISC4 / G5 machines. We don't have per-machine selection here anymore,
+ * but rather machine families
  */
-#define PMAC_TYPE_POWERMAC_G5		0x150	/* First tower */
+#define PMAC_TYPE_POWERMAC_G5		0x150	/* U3 & U3H based */
+#define PMAC_TYPE_POWERMAC_G5_U3L	0x151	/* U3L based desktop */
+#define PMAC_TYPE_IMAC_G5		0x152	/* iMac G5 */
+#define PMAC_TYPE_XSERVE_G5		0x153	/* Xserve G5 */
 #define PMAC_TYPE_UNKNOWN_K2		0x19f	/* Any other K2 based */
 
 /*
_
